KIT_PSE84_AI BSP

| KIT_PSE84_AI BSP

Functions
Cortex-M33 Control Functions
Startup/System » Functions

## General Description

## Functions
uint32_t | Cy_SysCM33GetStatus (void)
| Returns the Cortex-M33 core power mode. More...
void | Cy_SysCM33Enable (uint32_t vectorTableOffset, uint32_t waitus)
| Sets vector table base address and enables the Cortex-M33 core in secure mode. More...
void | Cy_SysCM33Reset (uint32_t waitus)
| Resets the Cortex-M33 core and waits for the mode to take the effect. More...
static uint32_t | cy_CbusRemapAddr (const void *addr)
| CBUS address remap remap address for masters on CBUS. More...
static uint32_t | cy_AhbRemapAddr (const void *addr)
| AHB address remap remap address for masters. More...

## Function Documentation

## ◆ Cy_SysCM33GetStatus()

uint32_t Cy_SysCM33GetStatus | ( | void |  | ) |

Returns the Cortex-M33 core power mode.

Returns
  Core Status Macros

## ◆ Cy_SysCM33Enable()

void Cy_SysCM33Enable | ( | uint32_t | vectorTableOffset,
|  | uint32_t | waitus
| ) |  |

Sets vector table base address and enables the Cortex-M33 core in secure mode.

Note
  If the CPU is already enabled, it is reset and then enabled.

Parameters

  vectorTableOffset | The offset of the vector table base address from memory address 0x00000000. The offset should be multiple to 1024 bytes.
  waitus | The timeout value in microsecond used to wait for core to be booted. value zero is for infinite wait till the core is booted successfully.

## ◆ Cy_SysCM33Reset()

void Cy_SysCM33Reset | ( | uint32_t | waitus | ) |

Resets the Cortex-M33 core and waits for the mode to take the effect.

Parameters

  waitus | The timeout value in microsecond used to wait for core to be reset. value zero is for infinite wait till the core is reset successfully.

Warning
  Do not call the function while the Cortex-M33 is executing because such a call may corrupt/abort a pending bus-transaction by the CPU and cause unexpected behavior in the system including a deadlock. Call the function while the Cortex-M55 core is in the Sleep or Deep Sleep low-power mode. Use the Power Management (syspm) API to put the CPU into the low-power modes. Use the Cy_SysPm_ReadStatus() to get a status of the CPU.

## ◆ cy_CbusRemapAddr()

static uint32_t cy_CbusRemapAddr | ( | const void * | addr | ) |
| inlinestatic

CBUS address remap remap address for masters on CBUS.

Parameters

  [in] | addr | pointer to be remap

Return values

  remap | address

## ◆ cy_AhbRemapAddr()

static uint32_t cy_AhbRemapAddr | ( | const void * | addr | ) |
| inlinestatic

AHB address remap remap address for masters.

Parameters

  [in] | addr | pointer to be remap

Return values

  remap | address